<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2021-06-21 Mon 22:10 -->
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>2nd OTTR user forum, 2021-06-18</title>
<meta name="generator" content="Org mode" />
<meta name="author" content="Martin" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/style.css" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/spec.css" />
<script type="application/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://www.ottr.xyz/inc/toc.js"></script>
</head>
<body>
<div id="content">
<header>
<h1 class="title">2nd OTTR user forum, 2021-06-18</h1>
</header><div id="left">
<p>
  <a href="#top">top</a>
  <!--<br/>
  examples:
  <span class="button" onclick="$('.examplebox').show()">show</span>
  /
  <span class="button" onclick="$('.examplebox').hide()">hide</span>
  -->
</p>
  <h4>Table of Contents</h4>
  <div id="toc"></div>
</div>

<div id="right">
  <a name="top"></a>
  <h1 class="title">2nd OTTR user forum, 2021-06-18</h1>
  <img id="logo" alt="OTTR" src="../../logo/OTTR.jpg"/>

<div id="toc-content">

<p>
The 2nd edition of the OTTR user forum will take place virtually on
<b>2021-06-18 Fri 10:00&#x2013;12:00 CET</b>. The purpose of the event is to let
users of the OTTR framework share experiences and to meet the
developers behind OTTR to discuss future directions.
</p>

<p>
Join Zoom Meeting:
<del><del><a href="https://uio.zoom.us/">https://uio.zoom.us/</a></del></del>
</p>

<p>
For this event we invite in particular users that have hands-on
experience with the OTTR framework, as we are interested in discussing
how we best can support your wishes for future developments and if and
how we can collaborate on these tasks. This means that we will not
give any introduction to the OTTR framework and will assume that
participants understand the basics. However, we welcome everyone that
want to listen in. Introductory material can be found at <a href="http://ottr.xyz">http://ottr.xyz</a>.
</p>

<p>
To register for the event, please fill in the following form:
<del><del><a href="https://forms.gle/MUqhbronGrLa2mdS8">https://forms.gle/MUqhbronGrLa2mdS8</a></del></del>, Deadline June 11. Connection
details will be sent in the week of the event to those who have
registered.
</p>

<div id="outline-container-org0cf563a" class="outline-2">
<h2 id="org0cf563a"><span class="section-number-2">1</span> Agenda</h2>
<div class="outline-text-2" id="text-1">
<p>
The agenda is very open. We expect lively presentations and
discussions on the use and future developments of the OTTR
framework. 
</p>

<ul class="org-ul">
<li>Talks</li>
<li>Future directions, open discussion</li>
<li>Way forward + getting involved, open discussion</li>
</ul>

<p>
Below are the pre-announced talks. Each talk is 10&#x2013;15 mins, including
discussion.
</p>
</div>

<div id="outline-container-org4b1cfdb" class="outline-3">
<h3 id="org4b1cfdb"><span class="section-number-3">1.1</span> Veronika Heimsbakk, CapGemini.</h3>
<div class="outline-text-3" id="text-1-1">
<p>
<b>Graph enrichment with OTTR</b>
</p>

<p>
At the Norwegian Maritime Authority (NMA) we are building a semantic
knowledge graph of regulatory requirements. The requirements are
automatically generated through a pipeline using natural language
processing on plain regulatory text together with Java/RDF4J in order
to generate RDF.
</p>

<p>
The resulting graph needs enrichment with risk attributes, where
domain experts at the NMA will provide additional information
connected to requirements. OTTR, in the form of tabOTTR, has shown
itself to be our preferred method for performing such enrichment. In
this presentation I’ll show you our workflow, templates and resulting
graph in the graph enrichment process.
</p>

<p>
<a href="./veronika.pdf">Slides: veronika.pdf</a>
</p>

<iframe style="border: 1px solid #ccc;" src="https://player.vimeo.com/video/565764451" width="640" height="360"  allow="autoplay; fullscreen" allowfullscreen></iframe>
</div>
</div>

<div id="outline-container-orge000145" class="outline-3">
<h3 id="orge000145"><span class="section-number-3">1.2</span> Basil Ell and Moritz Blum, Bielefeld University</h3>
<div class="outline-text-3" id="text-1-2">
<p>
We are acquiring knowledge from experts to model a small part of their
activities, such as, their experiments in the material science
domain. We make use of the signatures of OTTR templates as a means of
communicating what we have understood and captured, while shielding
them from how the knowledge is actually modeled in RDF.
</p>

<p>
Furthermore, we are integrating OTTR templates into Semantic
Mediawiki, so forms can be generated that allow content to be easily
added and edited by domain experts and to make use of all the benefits
that OTTR brings, which for us mainly means: modular modeling and to
abstract from the actual RDF representation.
</p>

<p>
<a href="./OTTR_user-forum-Basil_Ell-Moritz_Blum.pdf">Slides: OTTR<sub>user</sub>-forum-Basil<sub>Ell</sub>-Moritz<sub>Blum.pdf</sub></a>
</p>

<iframe style="border: 1px solid #ccc;" src="https://player.vimeo.com/video/565764371" width="640" height="360"  allow="autoplay; fullscreen" allowfullscreen></iframe>
</div>
</div>

<div id="outline-container-org288e913" class="outline-3">
<h3 id="org288e913"><span class="section-number-3">1.3</span> Johan Klüwer, DNV</h3>
<div class="outline-text-3" id="text-1-3">
<p>
<b>Template library for requirements</b>
</p>

<p>
The Reified Requirements Ontology provides a convention for
representing requirements as normative statements. This ontology is an
important resource in the READI project. A compact module of OTTR
templates for the ontology is about to be released, with the same kind
of setup as is used for the central OTTR library. This serves as an
example of how ontologies ought to be published: not just as a body of
definitions, but alongside templates for using the ontology to
represent data. See
<a href="https://w3id.org/requirement-ontology/ontology/core">https://w3id.org/requirement-ontology/ontology/core</a> and
<a href="http://w3id.org/requirement-ontology/tpl/">http://w3id.org/requirement-ontology/tpl/</a> (please note that the
template library is not released yet, even though the pages are up).
</p>

<p>
<a href="./req-ont-ottr-20210618.html">Slides: req-ont-ottr-20210618.html</a>
</p>

<iframe style="border: 1px solid #ccc;" src="https://player.vimeo.com/video/564978973" width="640" height="360"  allow="autoplay; fullscreen" allowfullscreen></iframe>

<p>
<b>The emacs-ottr-toolkit for building template libraries</b>
</p>

<p>
A new tool has been put together to simplify the work of creating
templates, as a package of emacs functions and (textual)
templates. With the emacs-ottr-toolkit, you can efficiently create and
edit templates, including docTTR annotations, and test templates with
example data. The tool also simplifies the use of Lutra to check for
errors and generate documentation, reducing the effort needed to get
template libraries published. A short walk-through of how the tool is
used will demonstrate how this works. See
<a href="https://gitlab.com/ottr/pub/emacs-ottr-toolkit">https://gitlab.com/ottr/pub/emacs-ottr-toolkit</a>.
</p>

<p>
<a href="./ottr-toolkit-20210618.html">Slides: ottr-toolkit-20210618.html</a>
</p>

<iframe style="border: 1px solid #ccc;" src="https://player.vimeo.com/video/564927698" width="640" height="360"  allow="autoplay; fullscreen" allowfullscreen></iframe>
</div>
</div>

<div id="outline-container-org0c47899" class="outline-3">
<h3 id="org0c47899"><span class="section-number-3">1.4</span> Leif Harald Karlsen and Oliver Stahl, OTTR team</h3>
<div class="outline-text-3" id="text-1-4">
<p>
The latest developments of Lutra, including:
</p>

<ul class="org-ul">
<li>Continuous writing of expansion results, for performance improvements</li>
<li>Redesign of Template store interface</li>
<li>Scripting language for Lutra executions</li>
<li>Docker support for WebLutra and the REST API</li>
</ul>

<p>
<a href="./docker-announcement.pdf">Slides: docker-announcement.pdf</a>
</p>
</div>
</div>
</div>
</div>
</body>
</html>
